package com.xjrsoft.module.erpModel.caseErpStock.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.erpModel.caseErpStock.entity.CaseErpInstoreLog;
import com.xjrsoft.module.erpModel.caseErpStock.vo.ContractManagement;
import com.xjrsoft.module.erpModel.caseErpStock.vo.ContractTypes;
import com.xjrsoft.module.erpModel.caseErpStock.vo.CostAnalysis;
import com.xjrsoft.module.erpModel.caseErpStock.vo.DeviationAnalysis;
import com.xjrsoft.module.erpModel.caseErpStock.vo.DocAnalysis;
import com.xjrsoft.module.erpModel.caseErpStock.vo.Materials;
import com.xjrsoft.module.erpModel.caseErpStock.vo.ProportionSale;
import com.xjrsoft.module.erpModel.caseErpStock.vo.PurchaseData;
import com.xjrsoft.module.erpModel.caseErpStock.vo.PurchasePrice;
import com.xjrsoft.module.erpModel.caseErpStock.vo.SaleStatisticsData;
import com.xjrsoft.module.erpModel.caseErpStock.vo.SalesAnalysis;
import com.xjrsoft.module.erpModel.caseErpStock.vo.StatisticalData;
import com.xjrsoft.module.erpModel.caseErpStock.vo.SupplyTrends;
import com.xjrsoft.module.erpModel.caseErpStock.vo.Trend;
import com.xjrsoft.module.erpModel.caseErpStock.vo.Warn;

import java.util.List;

/**
 * <p>
 * 入库记录【case_erp_instore_log】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-20
 */
public interface ICaseErpInstoreLogService extends IService<CaseErpInstoreLog> {

    List<StatisticalData> getStatisticalData();

    List<DocAnalysis> getDocAnalysis();


    List<Trend> trend();

    List<Warn> warn();

    List<Materials> materials();

    List<PurchaseData> getPurchaseDataData();

    List<CostAnalysis> getCostAnalysis();

    List<ContractManagement> getContractManagement();

    List<DeviationAnalysis> getDeviationAnalysis();

    List<SupplyTrends> getSupplyTrends();

    PurchasePrice getPurchasePrice();

    List<ContractTypes> getContractTypes();

    List<SaleStatisticsData> getSalesStatistics();

    List<ProportionSale> getProportionSale();

    List<ProportionSale> getProportionIncome();

    List<ProportionSale> getProductAnalysis();

    List<SalesAnalysis> getSalesAnalysis();

    List<SalesAnalysis> getProfitAnalysis();

    List<DocAnalysis> getDocAnalysisOut();

    List<Trend> trendOut();

}
