package com.xjrsoft.module.erpModel.caseErpSupplier.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.erpModel.caseErpSupplier.dto.AddCaseErpSupplierDto;
import com.xjrsoft.module.erpModel.caseErpSupplier.dto.AddCaseErpSupplierRiskDto;
import com.xjrsoft.module.erpModel.caseErpSupplier.dto.CaseErpSupplierPageDto;
import com.xjrsoft.module.erpModel.caseErpSupplier.dto.SupplierOutDto;
import com.xjrsoft.module.erpModel.caseErpSupplier.dto.SupplierRecoverDto;
import com.xjrsoft.module.erpModel.caseErpSupplier.entity.CaseErpSupplier;
import com.xjrsoft.module.erpModel.caseErpSupplier.vo.CaseErpSupplierInfoVo;
import com.xjrsoft.module.erpModel.caseErpSupplier.vo.CaseErpSupplierPageVo;
import com.xjrsoft.module.erpModel.caseErpSupplier.vo.SupplierHistoryPriceVO;
import com.xjrsoft.module.erpModel.caseErpSupplier.vo.SupplierRiskVo;
import com.xjrsoft.module.erpModel.caseErpSupplier.vo.SupplierTypeChartDataVo;

import java.util.List;

/**
 * <p>
 * 供应商信息【case_erp_supplier】 服务类
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-25
 */
public interface ICaseErpSupplierService extends MPJBaseService<CaseErpSupplier> {

    String getCodeNumber();

    PageOutput<CaseErpSupplierPageVo> getPageList(CaseErpSupplierPageDto dto);

    Boolean add(AddCaseErpSupplierDto dto) throws JsonProcessingException;

    Boolean outSupplier(SupplierOutDto dto) throws JsonProcessingException;

    Boolean recoverSupplier(SupplierRecoverDto dto) throws JsonProcessingException;

    List<SupplierTypeChartDataVo> getSupplierType();

    CaseErpSupplierInfoVo info(CaseErpSupplier caseErpSupplier);

    List<SupplierRiskVo> risk();

    List<SupplierHistoryPriceVO> historyPrice();

    Boolean addRisk(AddCaseErpSupplierRiskDto dto) throws JsonProcessingException;

}
