package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class RoomBedPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 寝室编号(room)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室编号(room)")
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 床位号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("床位号")
    @ApiModelProperty("床位号")
    private Integer bedNumber;
    /**
    * 学生用户编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生用户编号")
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
    * 是否入住（1:是 0:否）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否入住（1:是 0:否）")
    @ApiModelProperty("是否入住（1:是 0:否）")
    private Integer isCheckIn;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;

}
