package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教材出库记录分页列表出参
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class TextbookIssueRecordPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材申领编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材申领编号")
    @ApiModelProperty("教材申领编号")
    private Long wfTextbookClaimId;
    /**
    * 教材申领项编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材申领项编号")
    @ApiModelProperty("教材申领项编号")
    private Long wfTextbookClaimItemId;
    /**
    * 出库数量
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出库数量")
    @ApiModelProperty("出库数量")
    private Integer issueNumber;
    /**
    * 剩余数量
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("剩余数量")
    @ApiModelProperty("剩余数量")
    private Integer remainingNumber;
    /**
    * 领取用户编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("领取用户编号")
    @ApiModelProperty("领取用户编号")
    private Long receiveUserId;
    /**
    * 出库用户编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出库用户编号")
    @ApiModelProperty("出库用户编号")
    private Long issueUserId;
    /**
    * 出库方式(xjr_dictionary_item[issue_mode])
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出库方式(xjr_dictionary_item[issue_mode])")
    @ApiModelProperty("出库方式(xjr_dictionary_item[issue_mode])")
    private String issueMode;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;

}
