package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教材入库分页列表出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookWarehouseRecordPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材管理编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材管理编号")
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
    * 入库数量
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入库数量")
    @ApiModelProperty("入库数量")
    private Integer warehouseNumber;
    /**
    * 来源
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("来源")
    @ApiModelProperty("来源")
    private String source;
    /**
    * 定价(元)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("定价(元)")
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
    * 折扣
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("折扣")
    @ApiModelProperty("折扣")
    private Double discount;
    /**
    * 小计（元）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("小计（元）")
    @ApiModelProperty("小计（元）")
    private BigDecimal subtotal;
    /**
    * 总价（元）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("总价（元）")
    @ApiModelProperty("总价（元）")
    private BigDecimal totalPrice;

}
